Subject: bug#41975: 27.0.91; rmail and mbox does not render as gnus does

From: Eli Zaretskii <[email-masked]>
Date: Sun, 21 Jun 2020 17:57:48 +0300

> From: [email-masked]
> Date: Sun, 21 Jun 2020 05:30:54 +0000
> 
> I was trying to export  an email from gmail. and watching it inside
> emacs.
> 
> gmail exports as eml. and there is a ruby utility eml2mbox, which I have
> used for converting to mbox the eml file.
> 
> On emacs. I was trying to see which builtin mail client is simple for
> opening mbox. For using less keystrokes rmail beat gnus. But rmail does
> not render the email as gnus does. See the image below:
> 
> --8<---------------cut here---------------start------------->8---
> http://0x0.st/i4BO.png
> --8<---------------cut here---------------end--------------->8---

Your mbox file is corrupted: it has DOS-style CRLF end-of-line
format.  Convert the EOLs to Unix newline-only format, and Rmail
will display the text correctly.

I see no bug here.